xine-lib: rtp_input_plugin_t Struct Reference

xine-lib 1.2.12

Data Fields
rtp_input_plugin_t Struct Reference

## Data Fields
input_plugin_t | input_plugin
xine_stream_t * | stream
char * | mrl
config_values_t * | config
const char * | address
int | port
const char * | interface
int | is_rtp
int | fh
unsigned char * | buffer
unsigned char * | buffer_get_ptr
unsigned char * | buffer_put_ptr
long | buffer_count
unsigned char | packet_buffer [65536]
int | last_input_error
int | input_eof
pthread_t | reader_thread
off_t | curpos
int | rtp_running
char | preview [MAX_PREVIEW_SIZE]
int | preview_size
int | preview_read_done
xine_nbc_t * | nbc
pthread_mutex_t | buffer_ring_mut
pthread_cond_t | writer_cond
pthread_cond_t | reader_cond

## Field Documentation

## ◆ address

const char* rtp_input_plugin_t::address

## ◆ buffer

unsigned char* rtp_input_plugin_t::buffer

## ◆ buffer_count

long rtp_input_plugin_t::buffer_count

## ◆ buffer_get_ptr

unsigned char* rtp_input_plugin_t::buffer_get_ptr

## ◆ buffer_put_ptr

unsigned char* rtp_input_plugin_t::buffer_put_ptr

## ◆ buffer_ring_mut

pthread_mutex_t rtp_input_plugin_t::buffer_ring_mut

## ◆ config

config_values_t* rtp_input_plugin_t::config

## ◆ curpos

off_t rtp_input_plugin_t::curpos

## ◆ fh

int rtp_input_plugin_t::fh

## ◆ input_eof

int rtp_input_plugin_t::input_eof

## ◆ input_plugin

input_plugin_t rtp_input_plugin_t::input_plugin

## ◆ interface

const char* rtp_input_plugin_t::interface

## ◆ is_rtp

int rtp_input_plugin_t::is_rtp

## ◆ last_input_error

int rtp_input_plugin_t::last_input_error

## ◆ mrl

char* rtp_input_plugin_t::mrl

## ◆ nbc

xine_nbc_t* rtp_input_plugin_t::nbc

## ◆ packet_buffer

unsigned char rtp_input_plugin_t::packet_buffer[65536]

## ◆ port

int rtp_input_plugin_t::port

## ◆ preview

char rtp_input_plugin_t::preview[MAX_PREVIEW_SIZE]

## ◆ preview_read_done

int rtp_input_plugin_t::preview_read_done

## ◆ preview_size

int rtp_input_plugin_t::preview_size

## ◆ reader_cond

pthread_cond_t rtp_input_plugin_t::reader_cond

## ◆ reader_thread

pthread_t rtp_input_plugin_t::reader_thread

## ◆ rtp_running

int rtp_input_plugin_t::rtp_running

## ◆ stream

xine_stream_t* rtp_input_plugin_t::stream

## ◆ writer_cond

pthread_cond_t rtp_input_plugin_t::writer_cond

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/input/input_rtp.c